#include <configs/en7523_evb.h>

#define DBG_MI_CONF 0

char *mi_conf[] = {"sdram_conf",
					"vendor_name",
					"product_name",
					"ethaddr",
					"snmp_sysobjid",
					"country_code",
					"ether_gpio",
					"power_gpio",
					"username",
					"password",
					"dsl_gpio",
					"internet_gpio",
					"multi_upgrade_gpio",
					"onu_type",
					"qdma_init",
					"root",
					"console"};

void parse_mi_config(char *var)
{
	int i;
	int n_mi_conf;
	char *val;

	n_mi_conf = (sizeof(mi_conf) / sizeof(const char *));

	for(i = 0; i < n_mi_conf; i++) {
		val = getenv(mi_conf[i]);
#if DBG_MI_CONF
		printf("parse %s=%s\n", mi_conf[i], val);
#endif
		if(val) {
			strcat(var, mi_conf[i]);
			strcat(var, "=");
			strcat(var, val);
			strcat(var, " ");
		}
	}
	
	return 0;
}

